For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceSDKs
DocsAPI ReferenceSDKs
  • Overview
    • API reference
  • Mesh API
      • GETList Models
      • GETList Free Models
      • GETList Paid Models
LogoLogo
Mesh APIModels

List Paid Models

||View as Markdown|
GET
https://api.meshapi.ai/v1/models/paid
GET
/v1/models/paid
$curl https://api.meshapi.ai/v1/models/paid \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1[
2 {
3 "id": "model_9f8b7c6d",
4 "name": "MeshGPT Pro",
5 "context_length": 8192,
6 "is_free": false,
7 "pricing": {
8 "prompt_usd_per_1k": "0.020",
9 "completion_usd_per_1k": "0.030",
10 "prompt_usd_per_1m": "20.00",
11 "completion_usd_per_1m": "30.00",
12 "image_usd_per_image": "0.100",
13 "audio_input_usd_per_1m": "15.00",
14 "audio_output_usd_per_1m": "15.00",
15 "cached_audio_input_usd_per_1m": "10.00",
16 "cached_text_input_usd_per_1m": "5.00",
17 "discount_pct": "10",
18 "prompt_usd_per_1k_discounted": "0.018",
19 "completion_usd_per_1k_discounted": "0.027",
20 "prompt_usd_per_1m_discounted": "18.00",
21 "completion_usd_per_1m_discounted": "27.00"
22 },
23 "supports_thinking": true,
24 "supports_completions_api": true,
25 "supports_responses_api": true,
26 "model_type": "transformer",
27 "input_modalities": [
28 "text"
29 ],
30 "output_modalities": [
31 "text"
32 ],
33 "provider": "MeshAPI Inc.",
34 "description": "Advanced GPT model optimized for professional applications with extended context window.",
35 "supports_realtime": false,
36 "is_composite": false,
37 "composite_models": null
38 }
39]

Shortcut: list only models that have a non-zero cost.

Was this page helpful?
Previous

List Free Models

Next

List Templates

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
idstring
namestring
context_lengthinteger or null
is_freeboolean
pricingobject
supports_thinkingboolean
supports_completions_apiboolean
supports_responses_apiboolean
model_typestring
input_modalitieslist of strings
output_modalitieslist of strings
providerstring or null
descriptionstring or null
supports_realtimebooleanDefaults to false
is_compositebooleanDefaults to false
composite_modelslist of strings or null